package test.jpa.entities;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

@Entity
@Table(name="Persons")
@SequenceGenerator(name="personIdSeq", sequenceName="PERSONS_ID_SEQ", allocationSize=1)
public class Person implements Serializable {

	@Id
	@GeneratedValue(strategy=GenerationType.SEQUENCE, generator="personIdSeq")
	private Long id;

	private String name;

	@ManyToOne
	@JoinColumn(name="MGR_ID")
	Person mgr;

	public Long getId() {
		return id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Person getMgr() {
		return mgr;
	}

	public void setMgr(Person mgr) {
		this.mgr = mgr;
	}
}
